/*--------------------------------------------------------------------------------

  calendar
  
--------------------------------------------------------------------------------*/
.cal {
  overflow: visible;
}
.cal.-cols {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: var(--space-l) var(--space-s);
}
.cal_item {
  container-type: inline-size;
}
@media (max-width: 640px) {
  .cal.-cols {
    grid-template-columns: 1fr;
  }
}

/*--------------------------------------------------------------------------------
  .cal-month
--------------------------------------------------------------------------------*/
.cal-month {
  display: flex;
  justify-content: center;
  margin-bottom: 1.5rem;
}
.cal-month_label {
  flex-grow: 1;
  display: flex;
  justify-content: center;
  align-items: baseline;
  column-gap: 0.5rem;
  font-family: var(--ff-min);
  font-size: var(--fs-2l);
  font-weight: 600;
}
.cal-month_label-m {
  font-size: var(--fs-3l);
}
.cal-month_arrow {
  flex-shrink: 0;
  align-self: end;
  margin-bottom: 1rem;
  margin-left: auto;
  display: flex;
  column-gap: 1rem;
}
.cal-month_select {
  align-self: end;
  margin-bottom: 1rem;
  margin-left: auto;
}

/*--------------------------------------------------------------------------------
  .cal-tbl
--------------------------------------------------------------------------------*/
.cal-tbl {
  width: 100%;
  line-height: 1.4;
  font-size: min(2.8cqw, var(--fs-s));
}
.cal-tbl thead td {
  width: calc(100% / 7);
  text-align: center;
  background-color: var(--bg-base-3);
  padding-block: 0.75rem;
  font-weight: 400;
}
.cal-tbl tbody td {
  font-size: var(--fs-s);
  background-color: #FFF;
  text-align: left;
  vertical-align: top;
  padding-bottom: 1rem;
}
.cal-tbl tbody tr:not(:last-child) td {
  border-bottom: 1px solid var(--border-color-dark);
}
.cal-tbl tbody td:has(.cal-dlog) {
  position: relative;
  cursor: pointer;
  -webkit-tap-highlight-color: transparent;
  tap-highlight-color: transparent;
}
/* 日付 */
.cal-tbl .day {
  display: block;
  padding: 0.5rem 0.25rem 0.25rem 0.5rem;
  border-left: 1px solid var(--border-color);
  line-height: 1.2;
  font-weight: 400;
}
.cal-tbl tbody td:first-child .day {
  border-left: 0;
}
.cal-tbl .today {
  font-weight: 600;
}
/* 祝日 */
.cal-tbl .holiday {
  display: block;
  padding: 0 0.5rem;
  font-size: 70%;
  line-height: 1.2;
  align-self: center;
}
/* スケジュール */
.cal-tbl .sched {
  display: block;
  margin-inline: 0.5rem;
  margin-top: 0.5rem;
}
/* 変更 */
.cal-tbl .sched-btn {
  border-radius: 3px;
  background-color: var(--color-base);
  text-align: center;
  color: #FFF;
  margin-inline: 0.5rem;
  margin-top: 0.5rem;
  padding: 0.1rem;
  transition: color 0.15s ease, background 0.15s ease;
}
@media (hover: hover) {
  .cal-tbl tbody td:has(.cal-dlog):hover .sched-btn {
    background-color: var(--color-base-light);
  }
}

/*--------------------------------------------------------------------------------
 
  dialog

--------------------------------------------------------------------------------*/
.cal-dlog {
  --cal-dlog-border-color: rgb(var(--border-color-rgb) / 1); /* ダイアログ枠線 */
  --cal-dlog-border-width: 1px; /* ダイアログ枠線の太さ */
  cursor: default;
  display: none;
  width: 300%;
  z-index: 1000;
  position: absolute;
  left: 50%;
  bottom: 100%;
  margin-bottom: -1px;
  transform: translateX(-50%);
  box-sizing: border-box;
  border: var(--cal-dlog-border-width) solid var(--cal-dlog-border-color);
  background-color: #FFF;
  border-radius: 4px;
  text-align: left;
}
.cal-dlog[data-posi="L"] {
  left: 0;
  transform: translateX(0);
}
.cal-dlog[data-posi="R"] {
  left: inherit;
  right: 1rem;
  transform: translateX(0);
}
.cal-dlog[data-posi="L2"] {
  left: 75%;
}
.cal-dlog[data-posi="R2"] {
  left: inherit;
  right: -225%;
}
.cal-dlog_inner {
  position: relative;
  box-sizing: border-box;
  padding: 1rem;
}
.cal-dlog_inner:before,
.cal-dlog_inner:after {
  content: "";
  border-style: solid;
  border-width: 8px 8px 0 8px;
  border-color: transparent;
  position: absolute;
  left: 50%;
  top: 100%;
  transform: translateX(-50%);
}
.cal-dlog[data-posi="L"] .cal-dlog_inner:before,
.cal-dlog[data-posi="L"] .cal-dlog_inner:after {
  left: 16.5%;
}
.cal-dlog[data-posi="L2"] .cal-dlog_inner:before,
.cal-dlog[data-posi="L2"] .cal-dlog_inner:after {
  left: 42%;
}
.cal-dlog[data-posi="R"] .cal-dlog_inner:before,
.cal-dlog[data-posi="R"] .cal-dlog_inner:after {
  left: inherit;
  right: 3%;
}
.cal-dlog[data-posi="R2"] .cal-dlog_inner:before,
.cal-dlog[data-posi="R2"] .cal-dlog_inner:after {
  left: inherit;
  right: 34.5%;
}
.cal-dlog_inner:before {
  border-top-color: var(--cal-dlog-border-color);
}
.cal-dlog_inner:after {
  border-top-color: #FFF;
  margin: calc(-1.5 * var(--cal-dlog-border-width)) 0 0 0;
}
.cal-dlog_hd {
  padding-bottom: 0.5rem;
  position: relative;
}
.cal-dlog_day {
  font-weight: 400;
  font-size: var(--fs-m);
}
.cal-dlog_week,
.cal-dlog_content {
}
@media (max-width: 640px) {
  .cal-dlog {
    width: 400%;
  }
  .cal-dlog[data-posi="L2"] {
    left: 100%;
  }
  .cal-dlog[data-posi="R2"] {
    right: -275%;
  }
  .cal-dlog[data-posi="L2"] .cal-dlog_inner:before,
  .cal-dlog[data-posi="L2"] .cal-dlog_inner:after {
    left: 37.5%;
  }
  .cal-dlog[data-posi="R"] .cal-dlog_inner:before,
  .cal-dlog[data-posi="R"] .cal-dlog_inner:after {
    right: 1%;
  }
  .cal-dlog[data-posi="R2"] .cal-dlog_inner:before,
  .cal-dlog[data-posi="R2"] .cal-dlog_inner:after {
    right: 25%;
  }
}

/* .cal-dlog_close
----------------------------------------*/
.cal-dlog_close {
  --icon-size: 40%; /* 閉じるアイコン（✕）サイズ */
  --icon-border-color: var(--color-base); /* 閉じるアイコン（✕）カラー */
  --icon-border-width: 2px; /* 閉じるアイコン（✕）線の太さ */
  display: inline-block;
  position: absolute;
  width: 2rem;
  height: 2rem;
  right: 0.2rem;
  top: 0.2rem;
  cursor: pointer;
}
.cal-dlog_close-icon {
  position: relative;
  display: block;
  height: 100%;
}
.cal-dlog_close-icon:before,
.cal-dlog_close-icon:after {
  content: "";
  display: inline-block;
  width: var(--icon-size);
  height: var(--icon-border-width);
  background: var(--icon-border-color);
  position: absolute;
  left: 50%;
  top: 50%;
  margin-top: calc(var(--icon-border-width) / -2);
  margin-left: calc(var(--icon-size) / -2);
}
.cal-dlog_close-icon:before {
  transform: rotate(-45deg);
}
.cal-dlog_close-icon:after {
  transform: rotate(45deg);
}
@media (hover: hover) {
  .cal-dlog_close { display: none; }
}

/*--------------------------------------------------------------------------------
 
  schedule list

--------------------------------------------------------------------------------*/
.cal-sched-list {
  text-align: left;
  padding-top: 1.5rem;
  line-height: 1.5;
  display: grid;
  grid-template-columns: auto 1fr;
  gap: 0.25rem 0.5rem;
}
.cal-sched-list_color {
  width: 1em;
  height: 1em;
  display: inline-block;
  border: 1px solid var(--border-color);
  vertical-align: middle;
  margin-top: -0.2em;
}
.cal.-cols .cal_item:nth-child(even) .cal-sched-list {
  display: none;
}
.cal-sched-list_txt:before { content: "マウスオーバー"; }
@media (hover: hover) {
  .cal-sched-list_txt:before { content: "クリック"; }
}

/*--------------------------------------------------------------------------------
 
  bikou list

--------------------------------------------------------------------------------*/
.cal-bikou-list {
  font-size: var(--fs-s);
  text-align: left;
  padding-top: 1.5rem;
  line-height: 1.5;
  display: grid;
  grid-template-columns: auto 1fr;
  gap: 0.5rem 1rem;
}
.cal-bikou-list dt {
  text-align: right;
}
